@import "../../../../../../assets/css/constants.scss";

table {
  width: 100%;
}
.link {
  cursor: pointer;
}

.icons {
  position: relative;
}
th,
td {
  text-align: center !important;
}
:host ::ng-deep .mat-sort-header-container {
  display: flex;
  justify-content: center;
}
.approve,
.reject,
.download-link {
  position: absolute;
  font-size: 20px;
  padding: 0 10px;
  cursor: pointer;
  &:hover {
    font-size: 25px;
  }
  transition: all ease-in 0.2s;
}

.approve {
  color: green;
  top: 12px;
  left: 15px;
}
.eye-icon {
  position: absolute;
  top: 18px;
  left: 0px;
  &:hover {
    font-size: 18px;
  }
  transition: all ease-in 0.2s;
}

.reject {
  color: red;
  top: 12px;
  left: 40px;
}
.download-link {
  top: 12px;
  left: -10px;
}

@media only screen and (max-width: 768px) {
  .info {
    width: 100% !important;
  }
}
.detailed-info {
  background: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  .info-header {
    display: flex;
    width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    font-size: 23px;
  }
  .item-info-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
  .info {
    display: flex;
    width: 40%;
    justify-content: flex-start;
    padding: 10px;
  }
}
::ng-deep .mat-list {
  width: 100% !important;
}
::ng-deep .mat-list-item-content {
  justify-content: space-evenly !important;
}

.attachment-section {
  display: flex;
  justify-content: center;
  align-items: center;
  span {
    padding: 10px;
    position: relative;
    i {
      position: absolute;
      top: 0;
      width: 50px;
      display: flex;
      justify-content: center;
      font-size: 20px;
      padding: 0 10px;
      cursor: pointer;
      &:hover:before {
        content: "Download";
        transition: content ease-in 0.2s;
        font-size: 13px;
      }
      transition: content ease-in 0.2s;
    }
  }
}
.item-info-table {
  width: 100%;
}
.item-info-heading {
  padding-top: 15px;
}

@media print {
  // body *, .attachment-section, .type-selection, .mat-tab-header {
  //   visibility: hidden;
  // }
  // #printable, #printable {
  //   visibility: visible;
  // }
  // #printable {
  //   position: absolute;
  //   left: 0;
  //   top: 0;
  // }
}

.refresh-btn {
  margin: 0px 1070px;
  background-color: $SANED_BTN_PRIMARY !important;
  color: $PRIMARY_WHITE !important;
}

.print-btn {
  background-color: $SANED_BTN_PRIMARY !important;
  border-color: $SANED_BTN_PRIMARY !important;
  color: $PRIMARY_WHITE !important;
  font-size: 20px;
  font-weight: 400;
  height: 48px;
  max-height: 48px;
  margin: 20px auto;
  display: flex;
  width: 300px;
  justify-content: center;
  &:disabled {
    opacity: 0.6;
  }
}
.filter-container {
  .refresh-icon {
    font-size: 20px;
    margin-right: 15px;
    top: 8px;
    position: relative;
  }
  float: right;
}
.infor-error {
  background: $SANED_BTN_SECONDARY;
  color: $PRIMARY_WHITE;
  padding: 0px 5px;
  border-radius: 10px;
  position: relative;
  top: -5px;
  left: -2px;
  cursor: pointer;
}
mat-form-field {
  position: relative;
  margin-top: 15px;
  margin-right: 15px;
  i {
    position: absolute;
    right: 0;
    top: 10px;
    color: grey;
  }
}
.edit-icon {
  color: grey;
}
